:root {
    --color-white: #fff;
    --color-light: #f4f4f4;
    --color-dark: #525252;
    --color-black: #141415;
    --color-primary: #000000;
    --color-primary-light: hsl(14%, 89%, 53%, 12%);
    --color-success: #29f5a6;
    --color-warning: #ffce31;

        --transition: all 300ms ease;
} 

* {
    margin: 0;
    padding: 0;
    outline: 0;
    border: 0;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
}

::-webkit-scrollbar {
    width: 10px;
    background: var(--color-dark);
}

::-webkit-scrollbar-thumb {
    height: 75px;
     background: var(--color-primary);
}

html {
    font-size: 15px;
    scroll-behavior: smooth;
}

body {
    background: var(--color-white);
    font-family: 'Montserrat', sans-serif;
    color: var(--color-dark);
    max-width: 100vw;
}

h1,
h2,
h3,
h4,
h5 {
    color: var(--color-black);
    line-height: 1.2;
}

h1 {
    font-size: 3.8rem; 
}

h2 {
    font-size: 2.6rem; 
}

h3 {
    font-size: 1.6rem;
}

h4 {
    font-size: 1.2rem;
}

h5 {
    font-size: 0.86rem;
}

p {
    line-height: 1.8;
}

.container {
    width: 80%;
    margin: 0 auto;
}

section {
    padding: 7rem 0 7rem;
    max-width: 180vw;
    overflow-x: hidden;
    
}

section h1 {
   text-align: center;
   display: block;
   margin-bottom: 5rem; 
}

img {
    width: 100%;
}

.btn {
    padding: 1.4rem 3.4rem;
    font-size: 1.1rem;
    color: var(--color-black);
    background: var(--color-white);
    display: inline-block;
    margin: 2rem 0;
    transition: var(--transition);
}

.btn:hover {
    box-shadow: 0 2rem 2rem var(--color-primary-light);
}

.btn-primary {
    background: var(--color-primary);
    color: var(--color-white);
}

/* ***** Nav-Bar **** */

nav {
    background:coral ;
    width:  100%;
    height: 5rem;
    background: var(--color-white);
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    z-index: 2;
    border-bottom: 1px solid var(--color-light);
}


nav.show-box-shadow {
    box-shadow: 0 0.6rem 1rem #8f8f8f;
    border: none;
}

nav .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
}

nav button {
    display: none;
}

nav h3 {
    color:  var(--color-primary);
}

nav .container ul {
    display: flex;
    height: 100%;
}

nav .container ul li a{
    height: 100%;
    width: 7rem;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--color-black);
    position: relative;
    transition: var(--transition);
}

nav .container ul li a:hover{
    color: var(--color-primary);
} 

nav .container ul li a.active{
    background: var(--color-primary);
    color: var(--color-white);
}

/*-- =====Landing Section=====--*/

section.landing {
    display: grid;
    place-items: center;
    position: relative;
    top: 5rem;
    padding-bottom: 14rem;
}

section.landing .container {
    display: grid;
    grid-template-columns: 5rem auto 26rem;
    gap: 2rem;
}

section.landing .social {
    display: flex;
    flex-direction: column;
    gap: 1.6rem;
    margin-top: 5rem;
}

section.landing .social a{
    font-size: 1.1rem;
    background: var(--color-light);
    padding: 0.3rem;
    border-radius: 50%;
    height: 2rem;
    width: 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: var(--transition);
    color: var(--color-black);
}

section.landing .social a:hover {
    background: var(--color-primary);
    color: var(--color-white);
}

section.landing .info h1{
    text-align: left;
    margin: 0;
}

section.landing h3 {
    margin: 2.4rem 0 1rem;
}

section.landing .info p {
    width: 35rem;
}

section.landing .profile-area {
    display: flex;
    justify-content: center;
    align-items: center;
}


section.landing .profile-area .outer-circle {
    width: 26rem;
    height: 26rem;
    border: 1px solid var(--color-primary);
    border-radius: 50%;
    position: relative;
    animation: move 30s linear infinite;
}

@keyframes move {
    to {
        transform: rotate(360deg);
    }
}

section.landing .profile-area .outer-circle span{
    display: block;
    width: 4rem;
    height: 4rem;
    border-radius: 50%;
    position: absolute;
    background: var(--color-white);
    color: var(--color-primary);
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 0 1rem var(--color-primary);
}

section.landing .profile-area .outer-circle span:nth-child(1) {
    left: calc(50% - 2rem);
    top: -2rem;
}

section.landing .profile-area .outer-circle span:nth-child(2) {
    right: -2rem;
    top: calc(50% - 2rem);
}

section.landing .profile-area .outer-circle span:nth-child(3) {
    left: -2rem;
    top: calc(50% - 2rem);
}

section.landing .profile-area .outer-circle span:nth-child(4) {
    bottom: -2rem;
    left: calc(50% - 2rem);
}

section.landing .profile-area .inner-circle {
    position: absolute;
    width: 20rem;
    height: 20rem;
    border-radius: 50%;
    overflow: hidden;
}

/*-- =====About Section=====--*/

section.about {
    background: var(--color-light);
}

section.about .container {
    display: grid;
    grid-template-columns: 26rem auto;
    gap: 5rem;
}

section.about p {
    margin-bottom: 1rem;
    padding-top: 30px;
}

section.about .container .read-more-content {
    display: none;
}

/* Toggle JS */

section.about .container .read-more-content.show-content {
    display: block;
}

section.about .container .read-more {
    display: block;
    margin: 1rem 0 2rem;
    color: var(--color-primary);
    cursor: pointer;
} 

section.about .container .read-more:hover {
    text-decoration: underline;
}

/*-- =====Skills Section=====--*/

section.skills .container {
    width: 50%;
}


section.skills .container .skill {
    margin-bottom: 1rem ;
}

section.skills .skill .head {
    background: var(--color-primary);
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--color-white);
    padding: 1.6rem;
    cursor: pointer;
    margin-top: 1rem;
}

section.skills .skill .head h4 {
    color: var(--color-white);
}

section.skills .skill .head .left {
    display: flex;
    align-items: center;
    gap:  1rem;
}

section.skills .container .skill .items.show-items {
    display: block;
}

section.skills .skill .items {
    display: none;
}
section.skills .skill .item{
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 1rem;
    padding: 1.6rem;
    background: var(--color-light);
    margin-bottom: 0.3rem;
    transition: var(--transition);
  
}

section.skills .skill .item:hover {
    background: var(--color-white);
}


section.skills .skill .progress-area {
    width: 100%;
    display: flex;
    align-items: center;
    gap: 1rem;
}

section.skills .skill .progress-area .progress-bar {
    width: 100%;
    height: 1rem;
    background: var(--color-dark);   
}

section.skills .skill .progress-area .progress-bar .progress {
    width: 92%;
    height: 100%;
    background: var(--color-black);
}

section.skills .skill .items:nth-child(2) .progress-bar .progress {
    width: 80%;
}

section.skills .skill .item:nth-child(3) .progress-bar .progress {
    width: 72%;
}

section.skills .skill .item:nth-child(4) .progress-bar .progress {
    width: 61%;
}

/*-- =====Services Section=====--*/

section.services {
    background: var(--color-light);
}

section.services .container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 2rem;
}

section.services .container .services {
    background: var(--color-white);
    padding: 3rem 2rem;
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 2rem;
    cursor: default;
    transition: var(--transition);
}

section.services .container .services:hover {
    box-shadow: 0 0 1rem var(--color-primary);
}

section.services .container .services span {
    background: var(--color-primary);
    width: 4rem;
    height: 4rem;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--color-white);
    border-radius: 50%;
}

section.services .container .services:nth-child(2) span {
    background: var(--color-warning);
}

section.services .container .services:nth-child(3) span {
    background: var(--color-success);
}

/*-- =====Portfolio Section=====--*/

section.recent-work h1 {
    text-align: left;
    margin: 3rem 0 3rem;
    width: 70%;
    
}

section.recent-work .projects {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 3rem;
}

section.recent-work .projects .project {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

section.recent-work .projects .project .action {
    display: flex;
    gap: 2rem;
}

section.recent-work .projects .project .action a {
    color: var(--color-primary);
}

section.recent-work .projects .project .action a:hover {
    text-decoration: underline;
}

/* ===== Testimonail Section ======*/

section.testimonials {
    background: var(--color-light);
}

section.testimonials .container {
    width: 44rem;
}

section.testimonials .carousel {
    display: flex;
    align-items: center;
   
}

section.testimonials .testimonial {
    background-color: var(--color-white);
    padding: 2rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    font-size: 0.9rem;
    margin-bottom: 2rem;
    cursor: pointer;
}

section.testimonials .testimonial .head {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}

section.testimonials .testimonial .head .profile-area {
    display: flex;
    gap: 1rem;
}

section.testimonials .testimonial .head .profile-area .avatar {
    width: 3rem;
    height: 3rem;
    border-radius: 60%;
    overflow: hidden;
}
section.testimonials .testimonial .head .stars {
 color: #ffce31;
}
section.testimonials .testimonial .head .stars span {
    font-size: 1.2rem;
}

/* ===== Contact ======*/

section.contact {
    background: url(./img/img1\ \(1\).JPG) no-repeat center center/cover;
    padding: 0;
    max-width: 100vw;
}

section.contact .overlay {
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    padding: 10rem 0 7rem;
}

section.contact .container {
    width: 40%;
}

section.contact .container h1 {
    margin: 0;
    color: var(--color-white);
}

section.contact .container p {
    text-align: center;
    color: var(--color-white);
    opacity: 0.8;
    margin-top: 0.5rem;
}

section.contact form {
    margin-top: 3rem;
}

section.contact form textarea {
    height: 10rem;
}

section.contact form input, section.contact form textarea {
    display: block;
    width: 100%;
    margin: 0.5rem 0;
    padding: 1.6rem;
    border: 1px solid var(--color-white);
    background: transparent;
    color: var(--color-white);
    transition: var(--transition);
}

section.contact form input:focus, section.contact form textarea:focus {
    background: var(--color-white);
    color: var(--color-black);
}

section.contact form input::placeholder, section.contact form textarea::placeholder {
 color: var(--color-white);
}

section.contact form .btn {
    width: 14rem;
    border: none;
    background: var(--color-white);
    color: var(--color-black);
    margin: 2rem auto 0;
}

section.contact form .btn:hover {
    background: var(--color-primary);
    cursor: pointer;
    color: var(--color-white);  
}

/* ===== Footer =====*/

footer {
    padding-top: 5rem;
}

footer .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

footer .container ul {
    display: flex;
    gap: 3rem;
}

footer .container ul a {
    color: var(--color-dark);
    transition: var(--transition);
}

footer .container ul a:hover {
    color: var(--color-primary);
}

footer .container .social {
    display: flex;
    gap: 2rem;
}

footer .container .social a {

    font-size: 1.1rem;
    background: var(--color-light);
    padding: 0.3rem;
    border-radius: 50%;
    height: 2rem;
    width: 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: var(--transition);
    color: var(--color-black);   
    /* background: var(--color-light);
    color: var(--color-black);
    padding: 0.3rem;
    border-radius: 50%;
    transition: var(--transition); */
}

footer .container .social a:hover {
    background: var(--color-primary);
    color: var(--color-white);
}

footer .copyright {
    background: var(--color-primary);
    color: var(--color-white);
    text-align: center;
    margin-top: 5rem;
    padding: 2rem 0;
    font-size: 0.8rem;
}

/* ===== Media Queries Mobile ===== */

@media screen and (max-width: 600px){
   h1 {
     font-size: 2.2rem;
}
   h2 {
     font-size: 1.6rem;
}
   h3 {
     font-size: 1.2rem;
}
   h4 {
     font-size: 1rem;
}
   h5 {
     font-size: 0.68rem;
}

.container {
    width: 94%;
}

 /*==Nav Bar==*/
 
nav h3 {
    margin-left: 1rem;
}

nav .container {
    width: 100%;
}

nav .container ul {
    position: fixed;
    top: 0;
    flex-direction: column;
    z-index: 3;
    width: 16rem;
    height: 100vh;
    background: var(--color-white);
    box-shadow: 1rem 0 2rem var(--color-primary-light);
    display: none;
}

nav ul li {
    height: 4.6rem;
    width: 100%;
}

nav .container ul li a {
    width: 100%;
    justify-content: start;
    padding-left: 2rem;
}

nav .container ul li a:hover {
    padding-left: 3rem;
}

nav button {
    display: inline-block;
    cursor: pointer;
    background: transparent;
    color: var(--color-black);
    margin-right: 1rem;
}

nav button#close-btn {
    display: none;
}

/* =====  Section Landing  ===== */

section.landing  {
    margin-top: -1.5rem;
    padding-bottom: 7rem;
    max-width: 100vw;
    overflow-x: hidden;
}

section.landing .container {
    grid-template-columns: 1fr;
    grid-template-rows: 20% 50%;
    text-align: center;
    row-gap: 6rem;
}

section.landing .container .social {
    display: none; 
 }
 
 section.landing .container .info {
     width: 90%;
     margin: 0 auto;
 
 }
 section.landing .container .info h1 {
    text-align: center;
 }

 section.landing .container .info p {
     margin: 0 auto;
     width: 92%;
 }

 section.landing .container .profile-area {
     grid-row: 1;
     width: 94%;
     margin: 0 auto;
 }

 section.landing .container .outer-circle {
     width:  16rem;
     height: 16rem;
 }

 section.landing .container .inner-circle {
     width: 10rem;
     height: 10rem;
 }

 section.landing .container .profile-area .outer-circle span {
     width: 3rem;
     height: 3rem;
 }

 section.landing .profile-area .outer-circle span:nth-child(1) {
    left: calc(50% - 1.5rem);
    top: -1.5rem;
}

section.landing .profile-area .outer-circle span:nth-child(2) {
    right: -1.5rem;
    top: calc(50% - 1.5rem);
}

section.landing .profile-area .outer-circle span:nth-child(3) {
    left: -1.5rem;
    top: calc(50% - 1.5rem);
}

section.landing .profile-area .outer-circle span:nth-child(4) {
    bottom: -1.5rem;
    left: calc(50% - 1.5rem);
}

/*===== About Section=====*/

section.about .container {
    grid-template-columns: 1fr;
    gap: 1rem;
    text-align: center;
}

/*===== Skills Section=====*/

section.skills .container {
    width: 94%;
}

/*===== Services Section=====*/

section.services .container {
    grid-template-columns: 1fr;
}

/*===== Portfolio Section =====*/

section.recent-work .container .projects {
    grid-template-columns: 1fr;
}

section.recent-work .container h1 {
    width: 94vw;
    margin: 1.4rem 0 1rem;
}

/*===== Testimonial Section =====*/

section.testimonials .container {
    grid-template-columns: 1fr;
    width: 94vw;
}

section.testionials .container .testimonial .head .stars span {
    font-size: 0.4rem;
}

/*===== Testimonial Section =====*/

section.contact .container {
    width: 94vw;
}

section.contact .container p {
    width: 80vw;
    margin: 0.5rem auto 0;
}

/*===== Footer Section =====*/

footer .container {
    flex-direction: column;
    gap: 3rem;
}

footer .container ul {
    flex-direction: column;
    text-align: center;
    gap: 1.4rem;
}

}



